<?php
/**
 * ProductEventEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\PimClient\Dto;
use \Ensi\PimClient\ObjectSerializer;

/**
 * ProductEventEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные события: * 1 - товар создан * 2 - загружены картинки * 3 - добавлено описание для витрины * 4 - заполнены обязательные характеристики * 5 - заполнены необязательные характеристики * 6 - товар не активен * 7 - товар активен * 8 - добавлен в товарную склейку
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductEventEnum
{
    
    /** Товар создан */
    public const PRODUCT_CREATED = 1;
    
    /** Загружены картинки */
    public const IMAGES_UPLOADED = 2;
    
    /** Добавлено описание для витрины */
    public const ADDED_DESCRIPTION = 3;
    
    /** Заполнены обязательные характеристики */
    public const REQUIRED_PROPERTIES_FILLED = 4;
    
    /** Заполнены необязательные характеристики */
    public const OPTIONAL_PROPERTIES_FILLED = 5;
    
    /** Товар не активен */
    public const PRODUCT_DEACTIVATION = 6;
    
    /** Товар активен */
    public const PRODUCT_ACTIVATION = 7;
    
    /** Добавлен в товарную склейку */
    public const ADDED_TO_PRODUCT_GROUPS = 8;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::PRODUCT_CREATED,
            self::IMAGES_UPLOADED,
            self::ADDED_DESCRIPTION,
            self::REQUIRED_PROPERTIES_FILLED,
            self::OPTIONAL_PROPERTIES_FILLED,
            self::PRODUCT_DEACTIVATION,
            self::PRODUCT_ACTIVATION,
            self::ADDED_TO_PRODUCT_GROUPS,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::PRODUCT_CREATED => 'Товар создан',
            self::IMAGES_UPLOADED => 'Загружены картинки',
            self::ADDED_DESCRIPTION => 'Добавлено описание для витрины',
            self::REQUIRED_PROPERTIES_FILLED => 'Заполнены обязательные характеристики',
            self::OPTIONAL_PROPERTIES_FILLED => 'Заполнены необязательные характеристики',
            self::PRODUCT_DEACTIVATION => 'Товар не активен',
            self::PRODUCT_ACTIVATION => 'Товар активен',
            self::ADDED_TO_PRODUCT_GROUPS => 'Добавлен в товарную склейку',
        ];
    }
}


